Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
CglLandP::SimplexInterfaceError Class Reference

`#include <CglLandP.hpp>`

Inheritance diagram for CglLandP::SimplexInterfaceError:
[legend]
Collaboration diagram for CglLandP::SimplexInterfaceError:
[legend]

## Public Member Functions
| SimplexInterfaceError ()
Public Member Functions inherited from CoinError
const std::string & | message () const
| get message text More...
const std::string & | methodName () const
| get name of method instantiating error More...
const std::string & | className () const
| get name of class instantiating error (or hint for assert) More...
const std::string & | fileName () const
| get name of file for assert More...
int | lineNumber () const
| get line number of assert (-1 if not assert) More...
void | print (bool doPrint=true) const
| Just print (for asserts) More...
| CoinError (std::string message__, std::string methodName__, std::string className__, std::string fileName_=std::string(), int line=-1)
| Alternate Constructor. More...
| CoinError (const CoinError &source)
| Copy constructor. More...
CoinError & | operator= (const CoinError &rhs)
| Assignment operator. More...
virtual | ~CoinError ()
| Destructor. More...

## Additional Inherited Members
Static Public Attributes inherited from CoinError
static bool | printErrors_
| Whether to print every error. More...

## Detailed Description

Definition at line 224 of file CglLandP.hpp.

## Constructor & Destructor Documentation

CglLandP::SimplexInterfaceError::SimplexInterfaceError | ( |  | ) |
| inline

Definition at line 227 of file CglLandP.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Cgl/src/CglLandP/CglLandP.hpp